using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
	public interface ISysRoleManager : IGenericManager<SysRole>
	{
		IList<SysRole> LoadAllByPage(out long total, int page, int rows, string order, string sort);

		void SaveRoleAuthorities(int roleId, IList<int> authorityIdList);

		SysRole Get(string name);


        IList<SysAuthority> GetAuthorities(SysRole role);
	}
}
